zenilib: GXV_XStateTable_ValidatorRec_ Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
GXV_XStateTable_ValidatorRec_ Struct Reference

`#include <gxvcommn.h>`

## Public Attributes

int | entry_glyphoffset_fmt
GXV_XStateTable_Entry_Validate_Func | entry_validate_func
FT_UShort | maxClassID
FT_ULong | nClasses
void * | optdata
GXV_XStateTable_OptData_Load_Func | optdata_load_func
GXV_XStateTable_Subtable_Setup_Func | subtable_setup_func

## Detailed Description

Definition at line 220 of file gxvcommn.h.

## Member Data Documentation

int GXV_XStateTable_ValidatorRec_::entry_glyphoffset_fmt

Definition at line 222 of file gxvcommn.h.

GXV_XStateTable_Entry_Validate_Func GXV_XStateTable_ValidatorRec_::entry_validate_func

Definition at line 226 of file gxvcommn.h.

Referenced by gxv_XEntryTable_validate().

FT_UShort GXV_XStateTable_ValidatorRec_::maxClassID

Definition at line 230 of file gxvcommn.h.

Referenced by gxv_XClassTable_lookupval_validate().

FT_ULong GXV_XStateTable_ValidatorRec_::nClasses

Definition at line 229 of file gxvcommn.h.

Referenced by gxv_XClassTable_lookupval_validate().

void* GXV_XStateTable_ValidatorRec_::optdata

Definition at line 223 of file gxvcommn.h.

Referenced by gxv_morx_subtable_type1_entry_validate(), gxv_morx_subtable_type1_substitutionTable_load(), gxv_morx_subtable_type1_substitutionTable_validate(), gxv_morx_subtable_type1_subtable_setup(), gxv_morx_subtable_type2_ligActionIndex_validate(), gxv_morx_subtable_type2_ligatureTable_validate(), gxv_morx_subtable_type2_opttable_load(), gxv_morx_subtable_type2_subtable_setup(), gxv_morx_subtable_type5_insertionGlyphList_load(), and gxv_morx_subtable_type5_subtable_setup().

GXV_XStateTable_OptData_Load_Func GXV_XStateTable_ValidatorRec_::optdata_load_func

Definition at line 227 of file gxvcommn.h.

GXV_XStateTable_Subtable_Setup_Func GXV_XStateTable_ValidatorRec_::subtable_setup_func

Definition at line 225 of file gxvcommn.h.

The documentation for this struct was generated from the following file:

- zenilib/jni/external/freetype2/src/gxvalid/gxvcommn.h